Loading...
Searching...
No Matches
gtkroomlist.h File Reference
Pidgin (GTK+ User Interface)

GTK+ Room List UI. More...

`#include "roomlist.h"`

Go to the source code of this file.

## Functions

void | pidgin_roomlist_init (void)
| Initializes the room list subsystem.
gboolean | pidgin_roomlist_is_showable (void)
| Determines if showing the room list dialog is a valid action.
void | pidgin_roomlist_dialog_show (void)
| Shows a new roomlist dialog.
void | pidgin_roomlist_dialog_show_with_account (PurpleAccount *account)
| Shows a new room list dialog and fetches the list for the specified account.

## Detailed Description

GTK+ Room List UI.

Definition in file gtkroomlist.h.

## Function Documentation

## pidgin_roomlist_dialog_show_with_account()

void pidgin_roomlist_dialog_show_with_account | ( | PurpleAccount * | account | ) |

Shows a new room list dialog and fetches the list for the specified account.

Parameters

  account | The account to use.

## pidgin_roomlist_is_showable()

gboolean pidgin_roomlist_is_showable | ( | void |  | ) |

Determines if showing the room list dialog is a valid action.

Returns
  TRUE if there are accounts online that support listing chat rooms. Otherwise return FALSE.